<?php include('header.php'); ?>
<div class="menucenter">
<?

if(!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
	echo '<fieldset>Ошибка! Для доступа к этой странице необходимо авторизоваться!</fieldset>';
}else{
	$username = text($_SESSION["username"]);
	echo '<div class="navil">Цена просмотра зависит от времени показа Сумма за просмотр начисляется в общий баланс</div><br>';
	mysql_query("DELETE FROM `seelf_auto_vis` WHERE `date`<'".(time()-72*60*60)."'") or die(mysql_error());
	$sql_id = mysql_query("SELECT `id`, `plan`, `limit`, `limit_now` FROM `seelf_auto` WHERE `status`='pay' AND `limit_now`<='0'");
	if(mysql_num_rows($sql_id)>0) {
	$date_now = strtotime(DATE("d.m.Y"));
	while ($rowid = mysql_fetch_assoc($sql_id)) {
	$id = $rowid["id"];
	$plan = $rowid["plan"];
	$limit = $rowid["limit"];
	$limit_now = $rowid["limit_now"];
	if($limit<$plan ) {
	$sql_limit= mysql_query("SELECT `id` FROM `seelf_auto_vis` WHERE `type`='visit' AND `ident`='$id' AND `date`>'$date_now'") or die(mysql_error());
	if(mysql_num_rows($sql_limit)<1) {
	mysql_query("UPDATE `seelf_auto` SET `limit_now`='$limit' WHERE `id`='$id' AND `status`='pay'") or die(mysql_error());
      } } } }
	$sql = mysql_query("SELECT `id`, `timer`, `url`, `description` FROM `seelf_auto` WHERE `status`='pay' AND `limit_now`>'0' AND `id` NOT IN (SELECT `ident` FROM `seelf_auto_vis` WHERE `username`='$username' AND `date`>='".(time()-24*60*60)."') ORDER BY `id` DESC");
	$kolvo_site = mysql_num_rows($sql);
	echo '<center>Доступно сайтов для просмотра: <b>'.$kolvo_site.'</b><br><br><br></center>';
	if($kolvo_site>0) echo '<center><a href="../autoserfing/" target="_blank" class="bittorrenua">Начать просмотр &gt;&gt;</a></center><br>';
	else echo '<br>';
}
include('footer.php');?>